Skip to main content
GET
/
user
/
models
List models I can call
curl --request GET \
  --url https://{organization_id}.platform.barndoor.ai/api/llm-gateway/user/models \
  --header 'Authorization: Bearer <token>'
{
  "models": [
    {
      "model_alias": "<string>",
      "upstream_model": "<string>",
      "provider_name": "<string>",
      "provider_id": "<string>",
      "display_model": "<string>",
      "is_grouped": true,
      "model_kind": "<string>",
      "smart_slots": [
        {
          "label": "<string>",
          "model_alias": "<string>"
        }
      ],
      "budget_status": {
        "scope": "org",
        "target_id": "<string>",
        "budget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "budget_name": "<string>",
        "period": "monthly",
        "usage": 123,
        "limit": 123
      }
    }
  ],
  "model_count": 123
}

Authorizations

Authorization
string
header
required

JWT obtained through Barndoor's authentication flow. Pass the token verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.

Response

200 - application/json

Models available to the caller

models
object[]
required
model_count
integer
required